Subject: Re: bug#38822: 27.0.60; Crashes on MacOS 10.14 when quitting emacs, and intermittent crashes during normal usage

From: Justin Guenther <[email-masked]>
Date: Mon, 6 Jan 2020 18:00:03 -0600

On Tue, Dec 31, 2019 at 12:39 PM Eli Zaretskii <[email-masked]> wrote:
>
> 3 months went under the bridge between these two commits, so it's hard
> to tell which change caused that.  But there's a similar bug report at
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=38748.

I'm not sure if this helps any, but I built emacs with debug symbols +
asserts enabled over the
weekend (at e1b3fd3beb) and saw this assertion failed message the next
time it crashed:

> ./lisp.h:1621: Emacs fatal error: assertion failed: 0 <= nbytes

I didn't manage to catch it in gdb yet, but this message was after a
crash with the same/similar stack trace as above.

Sorry, I know this is a reach without a reproduction steps/bisecting,
I'll try to actually catch
this crash in gdb and see if I can find more info when I have time.